#### Beyond Linux® From Scratch (systemd Edition) - Version r12.0-1685

### Chapter 33. GNOME Libraries and Desktop

- Prev

  Tracker-3.6.0

- Next

  GSound-1.0.3

- Up
- Home

# Tracker-miners-3.6.2

## Introduction to Tracker-miners

The Tracker-miners package contains a set of data extractors for Tracker.

This package is known to build and work properly using an LFS 12.1 platform.

### Package Information

- Download (HTTP): https://download.gnome.org/sources/tracker-miners/3.6/tracker-miners-3.6.2.tar.xz

- Download MD5 sum: 36b1149a9b10ee3db3e3aa6d8a95c5dc

- Download size: 7.2 MB

- Estimated disk space required: 85 MB (with tests)

- Estimated build time: 0.3 SBU (with parallelism=4; add as much as 1.0 SBU for tests, dependent on disk speed)

### Tracker-miners Dependencies

#### Required

gst-plugins-base-1.22.10, Tracker-3.6.0, Exempi-2.6.5, and gexiv2-0.14.2

#### Recommended

giflib-5.2.1, gst-plugins-good-1.22.10 (runtime), gst-libav-1.22.10 (runtime), ICU-74.2, libexif-0.6.24, libgrss-0.7.0, libgxps-0.3.2, libseccomp-2.5.5, Poppler-24.02.0, and UPower-1.90.2

#### Optional

asciidoc-10.2.0, CMake-3.28.3, DConf-0.40.0, FFmpeg-6.1.1, libgsf-1.14.52, NetworkManager-1.44.2, taglib-2.0, totem-pl-parser-3.26.6, libcue, libitpcdata, libosinfo, and gupnp

## Installation of Tracker-miners

### Note

If you plan to run the tests, some timeouts are too short when using spinning disks. There are two places where timeouts are used: first, individual tests inside a group of tests have a default timeout of 10s. This can be changed by setting the environment variable `TRACKER_TESTS_AWAIT_TIMEOUT` to the desired value when running the tests (see below). Second, a global timeout for a group of tests is fixed at configuration time. The default value in the `functional-tests` directory (other directories have only short lived tests) may be increased with the following command (replace 200 with a value suitable for your machine):

    sed -i s/120/200/ tests/functional-tests/meson.build

First, fix some crashes introduced by gstreamer-1.22.9:

    sed -i '/ALLOW_RULE (shutdown);/a ALLOW_RULE (getsockopt);' src/libtracker-miners-common/tracker-seccomp.c

Install Tracker-miners by running the following commands:

    mkdir build &&
    cd    build &&

    meson setup --prefix=/usr       \
                --buildtype=release \
                -Dman=false         \
                ..                  &&
    ninja

To test the results, issue (adjust the individual test timeout to a value suitable for your machine, see the note above):

    dbus-run-session env TRACKER_TESTS_AWAIT_TIMEOUT=20 ninja test &&
    rm -rf ~/tracker-tests

### Note

The tests create files in the user directory (up to 24 MB), so they have to be removed afterwards.

Now, as the `root` user:

    ninja install

## Command Explanations

`--buildtype=release`: Specify a buildtype suitable for stable releases of the package, as the default may produce unoptimized binaries.

`-Dman=false`: This switch prevents the build process from generating man pages. Omit this switch if you have asciidoc-10.2.0 installed and wish to generate and install the man pages.

`-Dseccomp=false`: This option disables the seccomp system call filter. On some architectures, such as i686 and ARM, the functions that tracker-miners uses are not guarded properly, and tracker-miners will get killed with a SIGSYS as a result.

`-Dminer_rss=false`: Use this option if you have not installed the recommended dependency libgrss.

`-Dbattery_detection=none`: Use this option if you have not installed the recommended dependency upower. Do not use this option if your system has a battery (laptop battery or UPS), or tracker miners may waste the battery power and lifespan when the A/C power is unavailable.

## Contents

Installed Programs: None
Installed Libraries: Several modules under /usr/lib/tracker-miners-3.0
Installed Directories: /usr/lib/tracker-miners-3.0, /usr/libexec/tracker3, and /usr/share/tracker3-miners

- Prev

  Tracker-3.6.0

- Next

  GSound-1.0.3

- Up
- Home